<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "mobile" - Mobile friendly output                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1 / May 2015 ==

*/


define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 
$translator->addTranslation('mobile', CPO_BASEDIR.$moduleDirectory.'/lang');

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules['mobile'] as $k=>$v) {
        if (!isset($_POST['cpomobileNew'][$k])) continue;
        if (is_bool($activeModules['mobile'][$k])) {
            $activeModules['mobile'][$k] = (bool) $_POST['cpomobileNew'][$k];
        } else {
			$activeModules['mobile'][$k] = $_POST['cpomobileNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpomobileNew'])) unset($new_settings['cpomobileNew'][$k]);
    }
    foreach ($new_settings['cpomobileNew'] as $k=>$v) {
		$activeModules['mobile'][$k] = $new_settings['cpomobileNew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules['mobile'])),
			'mobile'
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

require(CPO_BASEDIR.'_include/header.php');

?>
<script type="text/javascript"><!--

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+250+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-250+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 


//--> </script>

<?php

printPageHeader(
    __('Mobile Pages'),
    __('In this view you can work on the mobile pages settings.')
);
include(CPO_BASEDIR.'_include/message.php');
include('./producer.inc.php');

if(array_key_exists('mobile', $activeModules))  {
    if (version_compare($CPO['version'], '4.1.0') >= 0) { // no need to continue if pagetemplates cannot be used

    // table header {{{
	echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
	echo '<input type="hidden" name="go" value="1">';
	echo '<table class="colored" style="width: 100%;">';
	echo '<thead><tr>';

	echo '<th colspan="2"><span>'.__('Mobile template settings').'</span></th>';

	echo '</tr></thead><tbody>';
	// }}}

        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Page-Template:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<select name="cpomobileNew[pagetemplate_index]" size="1">';
            echo '<option value="0"'
                .($activeModules['mobile']['pagetemplate_index']==0 ? ' selected' : '')
                .'>--- '.___('Use custom HTML code').' ---</option>';
            $query = 'SELECT id, name FROM '.CPO_PAGETEMPLATES.' '
                    .'ORDER BY name';
            $db->query($query);
            $_pagetemplates = array();
            while ($db->next_record()) {
                $_pagetemplates[$db->v('id')] = $db->v('name');
            }
            foreach ($_pagetemplates as $k=>$v) {
                echo '<option value="'.htmlspecialchars($k, ENT_COMPAT, 'ISO-8859-15').'"'
                    .($activeModules['mobile']['pagetemplate_index']==$k ? ' selected' : '')
                    .'>'.htmlspecialchars($v, ENT_COMPAT, 'ISO-8859-15').'</option>';
            }
            echo '</select>';
            echo '</td>';
        echo '</tr>';
        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Custom HTML code:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 300px;" class="text inputwidth" name="cpomobileNew[html_code]" id="html_code">'.htmlspecialchars($activeModules['mobile']['html_code'], ENT_COMPAT, 'ISO-8859-15').'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'html_code\', this);return false" id="lnk">'.__('enlarge').'</a>';
            echo '</td>';
        echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Show on any device:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpomobileNew[showAny]" size="1">';
			$selno = ($activeModules['mobile']['showAny']=="no") ? ' selected="selected"' :'';
			$selyes = ($activeModules['mobile']['showAny']=="yes") ? ' selected="selected"' :'';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';

        echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
        echo '</tr>';
        echo '</tbody></table>';

        echo '</form>';
    } else {
        $message[] = __('Sorry! This module requires at least ConPresso 4.1.x to work!');
        include(CPO_BASEDIR.'_include/message.php');
    }

}
require(CPO_BASEDIR.'_include/footer.php');
?>
